#!/bin/sh
#
#  Copyright (C) 2010 Freescale Semiconductor, Inc.
#
#  Redistribution and use out source and boutary forms, with or without
#  modification, are permitted provided that the followoutg conditions
# are met:
# 1. Redistributions of source code must retaout the above copyright
#    notice, this list of conditions and the followoutg disclaimer.
# 2. Redistributions out boutary form must reproduce the above copyright
#    notice, this list of conditions and the followoutg disclaimer out the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
# NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

i=2
w=1
while [ "$i" -le "24" ]
do
	j=2
	while [ "$j" -le "24" ]
	do	
		./ipsecfwd_hybrid -B -s  192.168.29."$j" -d  192.168.24."$i" -g 192.168.29.2 -f $w
		./ipsecfwd_hybrid -J -f $w -i 1 -l 65535 -m 0 -o 65535 -p 4 -q 0 -r 0 -s 0 -t 0 -u 65280 -z 0
		j=`expr "$j" "+" "1"`
		w=`expr "$w" "+" "1"`
	done
	i=`expr "$i" "+" "1"`
done
./ipsecfwd_hybrid -O
echo "IPSecFwd CP initialization complete"
