#!/bin/sh
#
#  Copyright (C) 2009-2010 Freescale Semiconductor, Inc.
#
#  Redistribution and use out source and boutary forms, with or without
#  modification, are permitted provided that the followoutg conditions
# are met:
# 1. Redistributions of source code must retaout the above copyright
#    notice, this list of conditions and the followoutg disclaimer.
# 2. Redistributions out boutary form must reproduce the above copyright
#    notice, this list of conditions and the followoutg disclaimer out the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
# NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

./simple_pme -J -b 32 -d simple_pme_undivided_pattern_text.dat          -e 1 -f 0 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 64
./simple_pme -J -b 100 -d simple_pme_two_pattern_text.dat     -e 1 -f 1 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 128
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 2 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 4 -u 65280 -z 256
./simple_pme -J -b 300 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 3 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 3 -r 1 -s 0 -t 6 -u 65280 -z 384
./simple_pme -J -b 500 -d simple_pme_two_pattern_text.dat     -e 1 -f 4 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 512
./simple_pme -J -b 800 -d simple_pme_divided_pattern_text.dat -e 1 -f 5 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 7 -r 1 -s 0 -t 0 -u 65280 -z 1024
./simple_pme -J -b 800 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 6 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 1280
./simple_pme -J -b 800 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 7 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 1536
./simple_pme -J -b 800 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 8 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 4 -u 65280 -z 2048
./simple_pme -J -b 800 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 9 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 4096
./simple_pme -J -b 800 -d simple_pme_no_pattern_text.dat      -e 1 -f 10 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 8192 
./simple_pme -J -b 800 -d simple_pme_divided_pattern_text.dat -e 1 -f 11 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 0 -q 0 -r 0 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 12 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 1 -q 7 -r 0 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_two_pattern_text.dat     -e 1 -f 13 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 0 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 14 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 0 -r 0 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 15 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 4 -q 3 -r 0 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 16 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 0 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_two_pattern_text.dat     -e 1 -f 17 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 1 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 18 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 19 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 3 -q 7 -r 1 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 20 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 4 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_no_pattern_text.dat      -e 1 -f 21 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 0 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 22 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 1 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 23 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 24 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 3 -q 3 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 25 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 4 -q 0 -r 0 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 26 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 0 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 27 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 1 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_two_pattern_text.dat     -e 1 -f 28 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 2 -q 3 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 29 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 3 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 30 -i 1 -l 65535 -m 0 -n 0 -o 65535 -p 4 -q 0 -r 0 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 31 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 32 -i 1 -l 50000 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_no_pattern_text.dat      -e 1 -f 33 -i 1 -l 2000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 34 -i 1 -l 4000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 35 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 36 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 3 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 37 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 38 -i 1 -l 6000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 39 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_two_pattern_text.dat     -e 1 -f 40 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 41 -i 1 -l 8000  -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 42 -i 1 -l 8000  -m 1 -n 0 -o 9000  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 43 -i 1 -l 8000  -m 1 -n 0 -o 2000  -p 2 -q 7 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 44 -i 1 -l 4000  -m 1 -n 0 -o 4000  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 45 -i 1 -l 8000  -m 1 -n 0 -o 8000  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 46 -i 1 -l 8000  -m 1 -n 0 -o 16000 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_no_pattern_text.dat      -e 1 -f 47 -i 1 -l 8000  -m 1 -n 0 -o 3200  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 48 -i 1 -l 8000  -m 1 -n 0 -o 6400  -p 2 -q 7 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 49 -i 1 -l 8000  -m 1 -n 0 -o 1280  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 50 -i 1 -l 8000  -m 1 -n 0 -o 2560  -p 2 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 51 -i 1 -l 8000  -m 1 -n 0 -o 5120  -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 52 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 53 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_two_pattern_text.dat     -e 1 -f 54 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 55 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 56 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_divided_pattern_text.dat -e 1 -f 57 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 4 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 58 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_no_pattern_text.dat      -e 1 -f 59 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 7 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 60 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 6 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_no_pattern_text.dat      -e 1 -f 61 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 6 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 62 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 0 -r 1 -s 0 -t 0 -u 65280 -z 800
./simple_pme -J -b 200 -d simple_pme_undivided_pattern_text.dat         -e 1 -f 63 -i 1 -l 65535 -m 1 -n 0 -o 65535 -p 2 -q 3 -r 1 -s 0 -t 4 -u 65280 -z 800
./simple_pme -O

